/*
 *    Copyright (c) 2018-2025, cyweb All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 */

import request from '/@/utils/request';

/**
 * 分页查询
 * @param params 查询参数
 */
export function getPage(params?: any) {
	return request({
		url: '/purchase/purchasingSchoolLeader/page',
		method: 'get',
		params
	});
}

/**
 * 通过id查询
 * @param id ID
 */
export function getObj(id: string | number) {
	return request({
		url: '/purchase/purchasingSchoolLeader/details',
		method: 'get',
		params: { id }
	});
}

/**
 * 新增校领导（党委）
 * @param obj 对象数据
 */
export function addObj(obj: any) {
	return request({
		url: '/purchase/purchasingSchoolLeader',
		method: 'post',
		data: obj
	});
}

/**
 * 修改校领导（党委）
 * @param obj 对象数据
 */
export function editObj(obj: any) {
	return request({
		url: '/purchase/purchasingSchoolLeader',
		method: 'put',
		data: obj
	});
}

/**
 * 删除校领导（党委）
 * @param ids ID数组
 */
export function delObj(ids: string[] | number[]) {
	return request({
		url: '/purchase/purchasingSchoolLeader',
		method: 'delete',
		data: ids
	});
}

